//============================================================================================================
//	$Id$
//
//	$Author$
//
//	$DateTime$
//============================================================================================================

#ifndef _LFC1_HPP_
#define _LFC1_HPP_

///	@mainpage
///
///	This library is an extension of the C++ standard library and the Boost C++ library.  It enhances C++ code
///	reliability by providing the following capabilities:
///
///	-	A set of error codes and an error category for this library.
///
///	-	A set of templates which provides exception/error handling for inserters, extractors and manipulators
///		of user-defined types.  These templates handle exceptions derived from std::bad_alloc, std::exception
///		and unknown exceptions.
///
///	-	A set of miscellaneous classes to support the compiler, e.g. name demangling.
///
///	-	A set of type definitions and templates which represent numbers stored in various ways.
///
///	-	A set of classes which extends the Boost filesystem library.
///
///	-	A set of date and time classes which provide millisecond precision.
///
///	-	A set of classes for checksum calculation.
///
///	-	A set of classes for logging.
///
///	-	A set of classes for code conversion.
///
///	-	A set of classes representing ISO standards.
///
///	-	A set of classes which provides the ability to read and write ID3 v1.0 tags.
///
///	-	A set of classes which provides the ability to read and write ID3 v1.1 tags.
///
///	-	A set of classes common to all ID3 v2.x tags.
///
///	-	A set of classes which provides the ability to read and write ID3 v2.2 tags.
///
///	-	A set of classes which provides the ability to read and write ID3 v2.3 tags.
///
///	-	A set of classes which are wrappers to the C ODBC API.
///
///	-	This library contains a set of classes representing ISO standards whose data is obtained from a database.
///
///	@note String data handled by this library uses the UTF-8 character set.  This library is thread-safe.
///		  The code in this library complies to the recommendations contained in the books C++ Coding Standards
///		  and Effective C++ and the document LFC-CS-0003 - C++ Coding Standards.doc.
///

#endif // _LFC1_HPP_

//============================================================================================================
//	End of Code
//============================================================================================================
